<?php
define ('DEFAULT_LANG', 'en');

if (isset ($_REQUEST ['lang']) && preg_match ('/^[a-z]{2}$/i', $_REQUEST ['lang'])) {
	if (! file_exists (sprintf ('../locale/%s.js', strtolower ($_REQUEST ['lang'])))) {
		$_REQUEST ['lang'] = DEFAULT_LANG;
	}
} else {
	$_REQUEST ['lang'] = DEFAULT_LANG;
}

$file = file_get_contents ('main.html', $_REQUEST ['view']);
$file = preg_replace ('/locale\/en\.js/', sprintf ('locale/%s.js', $_REQUEST ['lang']), $file);
$file = preg_replace ("/var remoteIP = ''/", sprintf ("var remoteIP = '%s'", $_SERVER ["REMOTE_ADDR"]), $file);
$file = preg_replace ('/var isIPv6 = false/', sprintf ('var isIPv6 = %s', preg_match ('/:/', $_SERVER ["REMOTE_ADDR"]) ? 'true' : 'false'), $file);

if (isset ($_REQUEST ['clean'])) {
	$file = preg_replace ('/url\(background\.png\)/', 'url(background-clean.png)', $file);
	$file = preg_replace ('/src="logo\.png"/', 'src="logo-clean.png"', $file);
	$file = preg_replace ('/"Hurricane Electric"/', '""', $file);
	// Link the whole damn thing to us
	//$file = preg_replace ('/href="http:\/\/[^"]+"/', 'href=""', $file);
}

print ($file);
